##################################### TERMS OF USE ###########################################
# The following code is provided for demonstration purpose only, and should not be used      #
# without independent verification. Recorded Future makes no representations or warranties,  #
# express, implied, statutory, or otherwise, regarding any aspect of this code or of the     #
# information it may retrieve, and provides it both strictly “as-is” and without assuming    #
# responsibility for any information it may retrieve. Recorded Future shall not be liable    #
# for, and you assume all risk of using, the foregoing. By using this code, Customer         #
# represents that it is solely responsible for having all necessary licenses, permissions,   #
# rights, and/or consents to connect to third party APIs, and that it is solely responsible  #
# for having all necessary licenses, permissions, rights, and/or consents to any data        #
# accessed from any third party API.                                                         #
##############################################################################################

import sys

# RF API
_API_RESPONSE_LIMIT = 1000


# Stanzas
STANZA_FIELDS_KEY = 'fields'
DEFAULT_KEY = 'default'
TYPE_KEY = 'type'
VALIDATOR_KEY = 'validator'
ERR_MSG_KEY = 'err_message'

# SECRETS
RF_TOKEN_KWARG = 'rf_token'

# Output
ROOT_DIR = sys.path[0]

RF_PORTAL_BASE_URL = 'https://app.recordedfuture.com'

# 0: entity type, 1: entity name
INDICATOR_INTEL_CARD_URL = RF_PORTAL_BASE_URL + '/live/sc/entity/{}:{}'
