# Module constants
APP_ID = "ps-threatconnect-ci"
APP_VERSION = "1.0.1"
REGEX_MITRE_PATTERN = "T[0-9][.[0-9]+"
COLLECTIVE_INSIGHTS_TAG = "rf_collective_insights"
INCIDENT_TYPE = "threatconnect-threat-detection"
DETECTION_NAME = "ThreatConnect Threat Detection"
DETECTION_TYPE = "correlation"

# ThreatConnect Indicator Types
INDICATOR_TYPES = ["Address", "Host", "File", "URL"]

# ThreatConnect mappings
INDICATOR_MAP = {
    "Address": "ip",
    "Host": "domain",
    "File": "hash",
    "URL": "url",
    "Vulnerability": "vulnerability",
}
